Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.pf.io
Class SAXFilterBase

    java.lang.Object
      de.grogra.pf.io.FilterBase
          de.grogra.pf.io.SAXFilterBase

All Implemented Interfaces:
  Filter, FilterSource, SAXSource, RegistryContext, Map, org.xml.sax.XMLReader

Direct Known Subclasses:
  FunctionFilter, StreamAdapter, XSLTFilter

    public abstract class SAXFilterBase

extends FilterBase
implements SAXSource, org.xml.sax.XMLReader

Nested Class Summary

Nested classes/interfaces inherited from interface de.grogra.pf.io.FilterSource
`FilterSource.MetaDataKey<V>`

Nested classes/interfaces inherited from interface de.grogra.util.Map
`Map.Chain`

Field Summary
`static java.lang.String` | `LEX_HANDLER`

Fields inherited from class de.grogra.pf.io.FilterBase
`item, source`

Fields inherited from interface de.grogra.pf.io.SAXSource
`NAMESPACE_PREFIXES, NAMESPACES`

Fields inherited from interface de.grogra.pf.io.FilterSource
`AUTO_PROGRESS, DESTINATION_FILE, DESTINATION_URL`

Fields inherited from interface de.grogra.util.Map
`DEFAULT_VALUE, EMPTY_MAP`

Constructor Summary
`SAXFilterBase(FilterItem item, FilterSource source)`
`SAXFilterBase(FilterItem item, FilterSource source, IOFlavor targetFlavor)`

Method Summary
`org.xml.sax.ContentHandler` | `getContentHandler()`
`org.xml.sax.DTDHandler` | `getDTDHandler()`
`org.xml.sax.EntityResolver` | `getEntityResolver()`
`org.xml.sax.ErrorHandler` | `getErrorHandler()`
`boolean` | `getFeature(java.lang.String name)`
`java.lang.Object` | `getProperty(java.lang.String name)`
`void` | `parse(org.xml.sax.InputSource input)`
`void` | `parse(java.lang.String systemId)`
`void` | `setContentHandler(org.xml.sax.ContentHandler ch)`
`void` | `setDTDHandler(org.xml.sax.DTDHandler dh)`
`void` | `setEntityResolver(org.xml.sax.EntityResolver er)`
`void` | `setErrorHandler(org.xml.sax.ErrorHandler eh)`
`void` | `setFeature(java.lang.String name, boolean value)`
`void` | `setProperty(java.lang.String name, java.lang.Object value)`

Methods inherited from class de.grogra.pf.io.FilterBase
`get, getFilter, getFlavor, getImpl, getMetaData, getRegistry, getSource, getSystemId, initProgressMonitor, setFlavor, setMetaData, setMetaData, setProgress, setSystemId, toString, toURL`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface de.grogra.pf.io.SAXSource
`parse`

Methods inherited from interface de.grogra.pf.io.FilterSource
`getFilter, getFlavor, getMetaData, getSystemId, initProgressMonitor, setMetaData, setProgress`

Methods inherited from interface de.grogra.pf.registry.RegistryContext
`getRegistry`

Field Detail

### LEX_HANDLER

    public static final java.lang.String LEX_HANDLER

See Also:
  Constant Field Values

Constructor Detail

### SAXFilterBase

    public SAXFilterBase(FilterItem item,
                         FilterSource source)

### SAXFilterBase

    public SAXFilterBase(FilterItem item,
                         FilterSource source,
                         IOFlavor targetFlavor)

Method Detail

### getContentHandler

    public org.xml.sax.ContentHandler getContentHandler()

  Specified by:
    `getContentHandler` in interface `org.xml.sax.XMLReader`

### getDTDHandler

    public org.xml.sax.DTDHandler getDTDHandler()

  Specified by:
    `getDTDHandler` in interface `org.xml.sax.XMLReader`

### getEntityResolver

    public org.xml.sax.EntityResolver getEntityResolver()

  Specified by:
    `getEntityResolver` in interface `org.xml.sax.XMLReader`

### getErrorHandler

    public org.xml.sax.ErrorHandler getErrorHandler()

  Specified by:
    `getErrorHandler` in interface `org.xml.sax.XMLReader`

### getFeature

    public boolean getFeature(java.lang.String name)
                       throws org.xml.sax.SAXNotRecognizedException,
                              org.xml.sax.SAXNotSupportedException

  Specified by:
    `getFeature` in interface `SAXSource`
  Specified by:
    `getFeature` in interface `org.xml.sax.XMLReader`
  Throws:
    `org.xml.sax.SAXNotRecognizedException`
    `org.xml.sax.SAXNotSupportedException`

### getProperty

    public java.lang.Object getProperty(java.lang.String name)
                                 throws org.xml.sax.SAXNotRecognizedException

  Specified by:
    `getProperty` in interface `org.xml.sax.XMLReader`
  Throws:
    `org.xml.sax.SAXNotRecognizedException`

### parse

    public void parse(org.xml.sax.InputSource input)
               throws java.io.IOException,
                      org.xml.sax.SAXException

  Specified by:
    `parse` in interface `org.xml.sax.XMLReader`
  Throws:
    `java.io.IOException`
    `org.xml.sax.SAXException`

### parse

    public void parse(java.lang.String systemId)
               throws java.io.IOException,
                      org.xml.sax.SAXException

  Specified by:
    `parse` in interface `org.xml.sax.XMLReader`
  Throws:
    `java.io.IOException`
    `org.xml.sax.SAXException`

### setContentHandler

    public void setContentHandler(org.xml.sax.ContentHandler ch)

  Specified by:
    `setContentHandler` in interface `org.xml.sax.XMLReader`

### setDTDHandler

    public void setDTDHandler(org.xml.sax.DTDHandler dh)

  Specified by:
    `setDTDHandler` in interface `org.xml.sax.XMLReader`

### setEntityResolver

    public void setEntityResolver(org.xml.sax.EntityResolver er)

  Specified by:
    `setEntityResolver` in interface `org.xml.sax.XMLReader`

### setErrorHandler

    public void setErrorHandler(org.xml.sax.ErrorHandler eh)

  Specified by:
    `setErrorHandler` in interface `org.xml.sax.XMLReader`

### setFeature

    public void setFeature(java.lang.String name,
                           boolean value)
                    throws org.xml.sax.SAXNotRecognizedException,
                           org.xml.sax.SAXNotSupportedException

  Specified by:
    `setFeature` in interface `SAXSource`
  Specified by:
    `setFeature` in interface `org.xml.sax.XMLReader`
  Throws:
    `org.xml.sax.SAXNotRecognizedException`
    `org.xml.sax.SAXNotSupportedException`

### setProperty

    public void setProperty(java.lang.String name,
                            java.lang.Object value)
                     throws org.xml.sax.SAXNotRecognizedException

  Specified by:
    `setProperty` in interface `org.xml.sax.XMLReader`
  Throws:
    `org.xml.sax.SAXNotRecognizedException`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD